
@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@300;400;500;600&display=swap');


:root{
  --primary-color: #015F28;
  --secondary-color:#73B400;
  --primary-hover: #D7DE50;
  --background-color:#F6F6E1;
  --text-color-dark: #033A1A;
  --text-color-light: #FFFFFF;

}
* {
  box-sizing: border-box;
  font-family: 'Poppins', sans-serif;
  margin: 0;
  padding: 0;
}

body {
  min-height: 100vh;
  background: url('../img/bg/backgroundFt.jpg') no-repeat center center fixed;
  background-size: cover;
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 60px 20px;
  color: var(--background-color);
  position: relative;
}


body::before {
  content: '';
  position: fixed;
  top: 0; left: 0; right: 0; bottom: 0;
  background: rgba(0,0,0,0.7);
  z-index: -1;
}

.form-container { /*admin*/
  background: rgba(255, 255, 255, 0.95);
  padding: 40px 35px;
  border-radius: 15px;
  box-shadow: 0 15px 40px rgba(0,0,0,0.3);
  max-width: 500px;
  width: 100%;
  text-align: center;
}
.signin-container { /*student*/
  background: rgba(255, 255, 255, 0.95);
  padding: 40px 35px;
  border-radius: 15px;
  box-shadow: 0 15px 40px rgba(0,0,0,0.3);
  max-width: 500px;
  width: 100%;
  text-align: center;
}

.logo {
  width: 80px;

  margin: 0 auto;
  margin-bottom: 0; 
  padding: 0;
  box-shadow: rgba(90, 143, 41, 0.4);
}

h2 {
  font-weight: 600;
  font-size: 28px;
  margin-bottom: 5px;
  color:var(--text-color-dark);
  margin-top: 0;
}

p {
    font-weight: 400;
    font-size: 14px;
    margin: 5px 11px;
    color: black;
}

/* Form styling */
form label {
  display: block;
  text-align: left;
  margin-bottom: 8px;
  font-weight: 600;
  color: #1F3C1B;
}

form input,
form select {
  width: 100%;
  padding: 5px 10px;
  margin-bottom: 10px;
  border: 1.8px solid var(--primary-color);
  border-radius: 8px;
  font-size: 15px;
  transition: border-color 0.3s ease;
}

form input:focus,
form select:focus {
  outline: none;
  border-color: var(--secondary-color);
  box-shadow: 0 0 8px rgba(90, 143, 41, 0.4);
}

.name-group,
.select-group {
  display: flex;
  gap: 10px;
  margin-bottom: 15px;
  
}

.name-group input,
.select-group select {
  flex: 1;
}

/* Button styling */
button {
    width: 100%;
    padding: 6px 0px;
    background-color: var(--secondary-color);
    border: none;
    border-radius: 10px;
    font-size: 17px;
    font-weight: 600;
    color: var(--text-color-light);
    cursor: pointer;
    transition: background-color 0.3s 
ease;
}

button:hover {
  background-color: var(--primary-hover);
  font-weight: 600;
}

/* Link below form */
.form-container p a {
  color: var(--secondary-color);
  font-weight: 600;
  text-decoration: none;
  
}

.form-container p a:hover {
  text-decoration: underline;
}


/* button loading */
#sendBtn.loading {
  opacity: 0.6;
  pointer-events: none;
  position: relative;
}

#sendBtn.loading::after {
  content: "";
  position: absolute;
  right: 10px;
  top: 50%;
  transform: translateY(-50%);
  width: 14px;
  height: 14px;
  border: 2px solid white;
  border-top: 2px solid transparent;
  border-radius: 50%;
  animation: spin 0.6s linear infinite;
}

/* student login */
.forgot-password {
    text-align: right;
}

.forgot-password a {
    color: #1B58B3;
    text-decoration: none;
    font-size: 14px; 
}

.forgot-password a:hover {
    text-decoration: underline; /*  hover effect  */
}


.signup-link {
    text-align: center;
    font-size: 14px;
    color: #000000; 
    margin-top: 10px;
}

.signup-link a {
    color: rgba(1, 95, 40, 0.72); 
    text-decoration: none;
    font-weight: 600;
}

.signup-link a:hover {
    text-decoration: underline;
    opacity: 1; 
}



@keyframes spin {
  to {
    transform: translateY(-50%) rotate(360deg);
  }
}

@media (max-width: 400px) {
.logo{
    width: 50px;
 }
 h2{
  font-size: 20px;
 }
 p{
  font-size: 10px;
  margin: 4px;
 }

 form label{
  margin-bottom: 2px;
  font-size: 14px;
 }
.forgot-password a {
    
    font-size: 12px; 
}
 .signup-link {    
    font-size: 12px;  
}
}